Subject: bug#14507: 24.3; TAB in shell mode never ignores case, even though I want it to

From: Eric Hanchrow <[email-masked]>
Date: Wed, 25 May 2016 19:18:55 +0000

So you're saying that

a) Emacs is deferring to Bash to do the completion in this case; and
b) bash is not ignoring case?

I find both of those hard to believe -- particularly since if I type "cd
doc" at a shell prompt that's not inside emacs, but is in a Terminal.app,
it does what I want (namely: completes to "cd Documents").

If a) is in fact correct, then I suppose Emacs is somehow starting the
shell differently than Terminal.app is.

On Wed, May 25, 2016 at 11:54 AM Alan Third <[email-masked]> wrote:

> Eric Hanchrow <[email-masked]> writes:
>
> > I started emacs with
> >
> > /Applications/Emacs.app/Contents/MacOS/Emacs -Q
> >
> > I typed M-x shell RET
> >
> > At the shell prompt, I typed "cd doc", then I hit the TAB key. The
> > shell's current directory was my home directory, and that directory
> > contains a subdirectory named "Documents". I expected the TAB key to
> > complete the name "Documents", but it just beeped. I then did M-: (setq
> > completion-ignore-case t) RET, and tried again, but it still just
> > beeped.
>
> Hi, sorry it's taken so long for someone to get back to you, but this
> isn't Emacs's filename completion, this is the shells. Probably bash.
> I'm afraid I can't help you with that.
> --
> Alan Third
>